<?php 

include('../core.php');
include('../includes/session.php');
$badgecode = $_POST['badge'];

$mybadgeap = mysql_query("SELECT * FROM store_badges WHERE code = '". $badgecode ."' LIMIT 1");
$mexcb = mysql_fetch_assoc($mybadgeap);

$comprob = mysql_query("SELECT * FROM user_badges WHERE user_id = '".$my_id."' AND badge_id = '". $badgecode ."' LIMIT 1");
$comprobacion = mysql_fetch_assoc($comprob);

$cambio = $myrow['vip_points'] - '3';
if(!$_POST){
exit;
}
if($badgecode == ''){ ?>
<font color="red">Por favor, selecciona una placa.</font>
<?php
}
elseif($mexcb['code'] == ''){ ?>
<font color="red">Esta placa no existe, o no está a la venta.</font>
<?php
}
elseif($comprobacion['badge_id'] == $badgecode){ ?>
<font color="red">Al parecer ya tienes esta placa.</font>
<?php
}
elseif($mexcb['code'] != '' && $myrow['vip_points'] >= '3'){ ?>
<font color="green">Felicidades acabas de comprar la placa: <?php echo $mexcb['code']; ?>.</br>
Te quedan: <?php echo $cambio; ?> Caracolas.</font>
<?php
mysql_query("UPDATE users SET vip_points = vip_points - '3' WHERE id = '". $my_id ."'");
mysql_query("INSERT INTO user_badges (user_id,badge_id,badge_slot) VALUES ('".$my_id."','".$mexcb['code']."','0')");
MUS("updatepoints", $my_id);
if($myrow['online'] == '1'){
MUS("alert", $my_id ." Felicidades!, acabas de comprar la placa: ". $mexcb['code'] ." para poder verla tendras que reiniciar el client.");
}

}
else{
?>
<center><font color="red">Ha ocurrido un error, intentalo más tarde...</font></center>
<?php
}
?>